Bug 1119640 - VNC-EXTENSION missed on Xorg server regeneration
Summary: VNC-EXTENSION missed on Xorg server regeneration
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: tigervnc
Version: 7.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Tim Waugh
QA Contact: Robin Hack
URL:
Whiteboard:
Keywords: Patch
: 1065345 (view as bug list)
Depends On: 1116956
Blocks: 782468 1205796 1110700 1191021
TreeView+ depends on / blocked
 
Reported: 2014-07-15 08:07 UTC by Tim Waugh
Modified: 2015-11-19 09:02 UTC (History)
5 users (show)

(edit)
Clone Of: 1116956
(edit)
Last Closed: 2015-11-19 09:02:56 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2233 normal SHIPPED_LIVE Moderate: tigervnc security, bug fix, and enhancement update 2015-11-19 09:11:46 UTC

Description Tim Waugh 2014-07-15 08:07:14 UTC
+++ This bug was initially created as a clone of Bug #1116956 +++

Description of problem:

VNC Extersion is missed upon Xorg server re-generation i.e. when all the clients running on X server exits. 

Version-Release number of selected component (if applicable):
tigervnc-server-module-1.1.0-14.el6.i686
xorg-x11-server-Xorg-1.15.0-15.el6.i686

How reproducible:
Always

Steps to Reproduce:
1. Boot system in runlevel 3
2. Configure xorg.conf to load vnc module
3. Start Xorg and run xterm on it
 Xorg & DISPLAY=:0 xterm
4. In xtern window make sure VNC-EXTENSION is loaded.
 xdpyinfo | grep VNC
5. Try connecting from other system using vncviewer and make sure it works.
6. Exit from xterm and observe server regeneration happeing there. Slight flicker of Xorg due to re-load.
7. Send xterm to this Xorg from ssh session
 DISPLAY=:0 xterm
8. Check if VNC-EXTENSION is displayed on the server.
 xdpyinfo | grep VNC
9. Try connecting again from other system using vncviewer

Actual results:
No VNC-EXTENSION after server regeneration and remote system can not connect to X server over vnc.

Expected results:
VNC-EXTENSION should be retained/re-loaded after server regeneration and remote system should be able to connect to X server over vnc.


Additional info:

[...]
--- Additional comment from Tim Waugh on 2014-07-14 11:50:08 EDT ---

This is now fixed upstream.

Comment 2 Tim Waugh 2015-05-14 09:55:14 UTC
*** Bug 1065345 has been marked as a duplicate of this bug. ***

Comment 3 Jan Grulich 2015-05-14 12:01:34 UTC
Fixed in tigervnc-1.3.1-1.el7.

Comment 6 errata-xmlrpc 2015-11-19 09:02:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2233.html


Note You need to log in before you can comment on or make changes to this bug.